<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2006 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
//  $Id: index.php 5454 2006-12-29 20:10:17Z drbyte $
//
  $version_check_index=true;
  require('includes/application_top.php');
  require('../quickbooksSync/qbClass.php');
  $qb = new Quickbooks();
  
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<script language="JavaScript" src="includes/menu.js" type="text/JavaScript"></script>
<link href="includes/stylesheet.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS" />
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS'); 
      kill.disabled = true;
    }
  }
  // -->
</script>
<style type="text/css">

#qb table{
	width: 85%;
	border: 2px #222222 solid;
	margin: 0 auto;
	}
#qb th{
	background-color: #005500;
	color: #ffffff;
	font-size: 1.2em;
	}

#qb td{
	border: 1px solid #cccccc;
	text-align: center;
	padding: 10px;
}

.even{
	background-color: #eeeeee;
}
.message{
	height: 300px;
	overflow: auto;
}
</style>
</head>
<body onload="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<div id="qb">
 <?php
echo '<h1>Quickbooks Sessions Log</h1>';

echo '<blockquote><a href="'.HTTP_SERVER.DIR_WS_ADMIN.'qbAdmin.php?action=clear" onClick="return confirm(\'Are You Sure you want to Clear the Log and Sessions, Any Active Sessions will be Terminated, and all Records Deleted with no way to Recover them\')">Clear The Log</a></blockquote>';

 switch ($_GET['action']){
 	
 	case 'log':
 		$qb->viewLog($_GET['session']);
 		break;
 	
 	case 'clear':
 		$db->Execute("TRUNCATE TABLE ".QUICKBOOKS_TABLE_LOG);
 		$db->Execute("TRUNCATE TABLE ".QUICKBOOKS_TABLE_SESSIONS);
 		$qb->viewSessions();
 		break;
 		
 	default:
 		$qb->viewSessions();
 		break;
 	
 }
 
 ?>
 </div>
<!-- The following copyright announcement is in compliance
to section 2c of the GNU General Public License, and
thus can not be removed, or can only be modified
appropriately.

Please leave this comment intact together with the
following copyright announcement. //-->

<div class="copyrightrow"><a href="http://www.zen-cart.com" target="_blank"><img src="images/small_zen_logo.gif" alt="Zen Cart:: the art of e-commerce" border="0" /></a><br /><br />E-Commerce Engine Copyright &copy; 2003-<?php echo date('Y'); ?> <a href="http://www.zen-cart.com" target="_blank">Zen Cart&trade;</a></div><div class="warrantyrow"><br /><br />Zen Cart is derived from: Copyright &copy; 2003 osCommerce<br />This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;<br />without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE<br />and is redistributable under the <a href="http://www.zen-cart.com/license/2_0.txt" target="_blank">GNU General Public License</a><br />
</div>
</body>
</html>
<?php require('includes/application_bottom.php'); ?>