
ALTER TABLE `customers` ADD `quickbooks` TINYINT NOT NULL DEFAULT '0';
ALTER TABLE `orders` ADD `quickbooks` TINYINT NOT NULL DEFAULT '0';
ALTER TABLE `products` ADD `quickbooks` TINYINT NOT NULL DEFAULT '1';

--Change the line below from 0 to 1 if you want tell zen cart all of the products in the catalog are already in quickbooks
UPDATE `products` SET quickbooks = 0;

--Change the line below from 1 to 0 if you want to import all exsisting order
--If not only NEW orders will be imported
UPDATE `orders` SET quickbooks = 1; 


CREATE TABLE IF NOT EXISTS `quickbooks_log` (
  `id` int(11) NOT NULL auto_increment,
  `ticket` varchar(32) NOT NULL,
  `action` varchar(255) NOT NULL,
  `message` longtext NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `quickbooks_que` (
  `id` int(11) NOT NULL auto_increment,
  `action` varchar(255) NOT NULL,
  `refid` int(11) NOT NULL,
  `complete` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `quickbooks_sessions` (
  `id` int(11) NOT NULL auto_increment,
  `user` int(11) NOT NULL,
  `ticket` varchar(32) NOT NULL,
  `startTime` int(11) NOT NULL,
  `endTime` int(11) NOT NULL,
  `count` mediumint(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

